chrono File Reference
Utilities » Time

Go to the source code of this file.

## Classes

class | std::chrono::tzdb_list::const_iterator
class | std::chrono::gps_clock
class | std::chrono::hh_mm_ss< _Duration >
class | std::chrono::tai_clock
class | std::chrono::tzdb_list
class | std::chrono::utc_clock

## Namespaces

namespace | std
namespace | std::chrono
namespace | std::literals
namespace | std::literals::chrono_literals

## Macros

#define | _GLIBCXX_CHRONO

## Typedefs

using | std::chrono::__detail::__months_years_conversion_disambiguator = void
using | std::chrono::gps_seconds = gps_time< seconds >
template<typename _Duration >
using | std::chrono::gps_time = time_point< gps_clock, _Duration >
using | std::chrono::local_days = local_time< days >
using | std::chrono::local_seconds = local_time< seconds >
template<typename _Duration >
using | std::chrono::local_time = time_point< local_t, _Duration >
using | std::chrono::tai_seconds = tai_time< seconds >
template<typename _Duration >
using | std::chrono::tai_time = time_point< tai_clock, _Duration >
using | std::chrono::utc_seconds = utc_time< seconds >
template<typename _Duration >
using | std::chrono::utc_time = time_point< utc_clock, _Duration >
using | std::chrono::zoned_seconds = zoned_time< seconds >

## Enumerations

enum class | choose { earliest , latest }

## Functions

template<unsigned __d, typename _Tp >
constexpr unsigned | std::chrono::__detail::__add_modulo (unsigned __x, _Tp __y)
template<unsigned __d, typename _Tp >
consteval auto | std::chrono::__detail::__modulo_offset ()
template<unsigned __d, typename _Tp >
constexpr unsigned | std::chrono::__detail::__sub_modulo (unsigned __x, _Tp __y)
template<typename _Duration >
void | std::chrono::__throw_bad_local_time (const local_time< _Duration > &__tp, const local_info &__i)

template<typename _DestClock , typename _SourceClock , typename _Duration >
requires __detail::__clock_convs<_DestClock, _SourceClock, _Duration> || __detail::__clock_convs_sys<_DestClock, _SourceClock, _Duration> || __detail::__clock_convs_utc<_DestClock, _SourceClock, _Duration> || __detail::__clock_convs_sys_utc<_DestClock, _SourceClock, _Duration> || __detail::__clock_convs_utc_sys<_DestClock, _SourceClock, _Duration>

auto | std::chrono::clock_cast (const time_point< _SourceClock, _Duration > &__t)
const time_zone * | std::chrono::current_zone ()
template<typename _Duration >
leap_second_info | std::chrono::get_leap_second_info (const utc_time< _Duration > &__ut)
const tzdb & | std::chrono::get_tzdb ()
tzdb_list & | std::chrono::get_tzdb_list ()
constexpr bool | std::chrono::is_am (const hours &__h) noexcept
constexpr bool | std::chrono::is_pm (const hours &__h) noexcept
const time_zone * | std::chrono::locate_zone (string_view __tz_name)
constexpr hours | std::chrono::make12 (const hours &__h) noexcept
constexpr hours | std::chrono::make24 (const hours &__h, bool __is_pm) noexcept
template<typename _Dur1 , typename _TZPtr1 , typename _Dur2 , typename _TZPtr2 >
bool | std::chrono::operator== (const zoned_time< _Dur1, _TZPtr1 > &__x, const zoned_time< _Dur2, _TZPtr2 > &__y)
const tzdb & | std::chrono::reload_tzdb ()
string | std::chrono::remote_version ()
| std::chrono::zoned_time () -> zoned_time< seconds >
template<typename _TimeZonePtrOrName >
| std::chrono::zoned_time (_TimeZonePtrOrName &&) -> zoned_time< seconds, __time_zone_representation< _TimeZonePtrOrName > >
template<typename _TimeZonePtrOrName , typename _Duration >
| std::chrono::zoned_time (_TimeZonePtrOrName &&, local_time< _Duration >, choose=choose::earliest) -> zoned_time< common_type_t< _Duration, seconds >, __time_zone_representation< _TimeZonePtrOrName > >
template<typename _TimeZonePtrOrName , typename _Duration >
| std::chrono::zoned_time (_TimeZonePtrOrName &&, sys_time< _Duration >) -> zoned_time< common_type_t< _Duration, seconds >, __time_zone_representation< _TimeZonePtrOrName > >
template<typename _Duration , typename _TimeZonePtrOrName , typename _TimeZonePtr2 >
| std::chrono::zoned_time (_TimeZonePtrOrName &&, zoned_time< _Duration, _TimeZonePtr2 >, choose=choose::earliest) -> zoned_time< common_type_t< _Duration, seconds >, __time_zone_representation< _TimeZonePtrOrName > >
template<typename _Duration >
| std::chrono::zoned_time (sys_time< _Duration >) -> zoned_time< common_type_t< _Duration, seconds > >

## Variables

constexpr unsigned | std::chrono::__detail::__days_per_month [12]
template<typename _Tp , typename _Clock >
constexpr bool | std::chrono::__is_time_point_for_v
template<typename _Clock , typename _Duration >
constexpr bool | std::chrono::__is_time_point_for_v< time_point< _Clock, _Duration >, _Clock >
constexpr month | std::chrono::April
constexpr month | std::chrono::August
constexpr month | std::chrono::December
constexpr month | std::chrono::February
constexpr weekday | std::chrono::Friday
template<>
constexpr bool | std::chrono::is_clock_v< gps_clock >
template<>
constexpr bool | std::chrono::is_clock_v< tai_clock >
template<>
constexpr bool | std::chrono::is_clock_v< utc_clock >
constexpr month | std::chrono::January
constexpr month | std::chrono::July
constexpr month | std::chrono::June
constexpr last_spec | std::chrono::last
constexpr month | std::chrono::March
constexpr month | std::chrono::May
constexpr weekday | std::chrono::Monday
constexpr month | std::chrono::November
constexpr month | std::chrono::October
constexpr weekday | std::chrono::Saturday
constexpr month | std::chrono::September
constexpr weekday | std::chrono::Sunday
constexpr weekday | std::chrono::Thursday
constexpr weekday | std::chrono::Tuesday
constexpr weekday | std::chrono::Wednesday

## Detailed Description

This is a Standard C++ Library header.

Definition in file chrono.

## Macro Definition Documentation

## _GLIBCXX_CHRONO

#define _GLIBCXX_CHRONO

Definition at line 31 of file chrono.

## Typedef Documentation

## __months_years_conversion_disambiguator

using std::chrono::__detail::__months_years_conversion_disambiguator = typedef void

Definition at line 1439 of file chrono.

## Function Documentation

## __add_modulo()

template<unsigned __d, typename _Tp >

constexpr unsigned std::chrono::__detail::__add_modulo | ( | unsigned | __x,
|  | _Tp | __y
| ) |  |

constexpr

Definition at line 523 of file chrono.

## __modulo_offset()

template<unsigned __d, typename _Tp >

consteval auto std::chrono::__detail::__modulo_offset | ( |  | ) |

Definition at line 509 of file chrono.

## __sub_modulo()

template<unsigned __d, typename _Tp >

constexpr unsigned std::chrono::__detail::__sub_modulo | ( | unsigned | __x,
|  | _Tp | __y
| ) |  |

constexpr

Definition at line 542 of file chrono.

## Variable Documentation

## __days_per_month

constexpr unsigned std::chrono::__detail::__days_per_month[12]

inline constexpr

Definition at line 549 of file chrono.